--- old/usr/src/uts/common/fs/udfs/udf_inode.c	Sun Jun 11 17:02:56 2017
+++ new/usr/src/uts/common/fs/udfs/udf_inode.c	Sun Jun 11 17:02:56 2017
@@ -90,9 +90,6 @@
  */
 kmutex_t udf_vfs_mutex;
 struct udf_vfs *udf_vfs_instances;
-#ifndef	__lint
-_NOTE(MUTEX_PROTECTS_DATA(udf_vfs_mutex, udf_vfs_instances))
-#endif
 
 union ihead ud_ihead[UD_HASH_SZ];
 kmutex_t ud_icache_lock;
@@ -102,17 +99,10 @@
 #define	UD_UNKN		0x2
 struct ud_inode *udf_ifreeh, *udf_ifreet;
 kmutex_t udf_ifree_lock;
-#ifndef	__lint
-_NOTE(MUTEX_PROTECTS_DATA(udf_ifree_lock, udf_ifreeh))
-_NOTE(MUTEX_PROTECTS_DATA(udf_ifree_lock, udf_ifreet))
-#endif
 
 kmutex_t ud_nino_lock;
 int32_t ud_max_inodes = 512;
 int32_t ud_cur_inodes = 0;
-#ifndef	__lint
-_NOTE(MUTEX_PROTECTS_DATA(ud_nino_lock, ud_cur_inodes))
-#endif
 
 uid_t ud_default_uid = 0;
 gid_t ud_default_gid = 3;
@@ -2167,9 +2157,6 @@
 	union ihead *ih = ud_ihead;
 	int index;
 
-#ifndef	__lint
-	_NOTE(NO_COMPETING_THREADS_NOW);
-#endif
 	for (index = 0; index < UD_HASH_SZ; index++, ih++) {
 		ih->ih_head[0] = ih;
 		ih->ih_head[1] = ih;
@@ -2184,8 +2171,4 @@
 	mutex_init(&ud_sync_busy, NULL, MUTEX_DEFAULT, NULL);
 	udf_vfs_instances = NULL;
 	mutex_init(&udf_vfs_mutex, NULL, MUTEX_DEFAULT, NULL);
-
-#ifndef	__lint
-	_NOTE(COMPETING_THREADS_NOW);
-#endif
 }
